Subject: Re: bug#55412: 28.1; In Emacs 28.1, using ':eval' in 'frame-title-format' doesn't work properly

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 May 2022 16:25:50 +0300

> Date: Mon, 16 May 2022 20:52:42 +0000
> Cc: [email-masked], [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> I think I've managed to reconstruct why I made this part of the change.
> With the Fselect_window call in place:
> (i) When minibuffer-follows-selected-frame is nil, and the minibuffer is
>   the current window before switching frames with C-x 5 o, it remains the
>   current window on returning to the first frame.
> (ii) When minibuffer-follows-selected-frame is t (the default) and other
>   circumstances are as in (i), the minibuffer is no longer the selected
>   window on returning to the first frame.
> I wanted to fix this inconsistency, I think.
> 
> Clearly, this inconsistency is less important than frame-title-format not
> working.  May I suggest that one of us applies your patch immediately to
> the release branch.  I will then attempt to find a less harmful way of
> fixing that inconsistency, and will take direction from you which branch
> it should be committed to.

Thanks, please go ahead and install the patch on the emacs-28 branch.